Retrieve a specific metadata field by ID
curl --request GET \
--url https://api.example.com/v1/models/{model_id}/metadata/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/models/{model_id}/metadata/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/models/{model_id}/metadata/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"client_prompt_template_id": 1,
"key": "campaign",
"readable_name": "Campaign Name",
"type": "STRING",
"grouping_field": true,
"enabled": true,
"created_at": "2026-01-11T10:00:00Z",
"created_by": "client_abc123"
}{
"code": "001-001-0001",
"message": "The requested resource was not found"
}{
"code": "001-001-0001",
"message": "The requested resource was not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Model Metadata
Obtener Metadata
Returns the details of a specific metadata field within an analysis model.
Requires scope: read:model-metadata
GET
/
v1
/
models
/
{model_id}
/
metadata
/
{id}
Retrieve a specific metadata field by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Response model for metadata.
Unique identifier
Example:
1
Parent model ID
Example:
1
Metadata key
Example:
"campaign"
Human-readable display name
Example:
"Campaign Name"
Data type
Available options:
STRING, INTEGER, DECIMAL, BOOLEAN, DATE, TIME, DATETIME Whether used for dashboard grouping
Example:
false
Whether the metadata is active
Creation timestamp
Creator identifier
Last update timestamp
Last updater identifier
